.. _string: ../../str

.. _vim.fault.InvalidState: ../../vim/fault/InvalidState.rst


vim.fault.InvalidPowerState
===========================
    :extends:

        `vim.fault.InvalidState`_

  This exception is thrown if the power operation attempted could not be performed given the current power state of the virtual machine.

Attributes:

    requestedState (`str`_): is optional.

    existingState (`str`_)




